
/* LOG */

// CONFIGURAÇAO DE IP
function ipconfig(){
	
	var ip = $("#ip-serv").val(), port = $("#port-serv").val();
	
	if(ip == "" || port == ""){
		navigator.notification.alert(
			'Falha ao salvar configurações, verifique os campos!',  // message
			null,         // callback
			'Unidos Importados',            // title
			'Fechar'                  // buttonName
		);	
	}else{
		window.localStorage.setItem("ip-serv", ip);		
		window.localStorage.setItem("port-serv", port);	

		navigator.notification.alert(
			'Configurações salva com sucesso!',  // message
			null,         // callback
			'Unidos Importados',            // title
			'Fechar'                  // buttonName
		);	
	}	
}


function listip(){
		var ip = localStorage.getItem("ip-serv"),port = localStorage.getItem("port-serv");
		
		$("#ip-serv").val(ip);
		$("#port-serv").val(port);
}
// CONFIGURAÇAO DE IP


function login(){
	var form = $('#form_login').serialize();
	var url = 'https://conect.agenciadp.com.br/response_api.php';

		$.post(url,form , function(data,status){
			
				let dat  = JSON.parse(data);
			if(dat["id"] > 0){
				let user = $('#user').val();
				
				window.localStorage.setItem("user", user);
				window.localStorage.setItem("id", dat["id"]);
				
				window.location.href = 'dashboard.html';
			}else{
				alert(
					'Falha ao fazer login!',  // message
				);
			}
		});
}
/* LOG */
function pedidos(){
	var POST_paramentro = "PED";
	var id_user = window.localStorage.getItem('id');
	var url = 'https://conect.agenciadp.com.br/response_api.php';

	$.ajax({ 
		url: url,
		cache: false,
		data: {id_user: id_user,cod: POST_paramentro},                         
		type: "POST",
		dataType: "json",  // jQuery will infer this, but you can set explicitly
		error: function(jqXHR, textStatus, errorThrown) {
			console.log('jqXHR: \n'+jqXHR);
			console.log('textStatus: \n'+textStatus);
			console.log('errorThrown: \n'+errorThrown);
		},
		success: function(retorno){
			
			var result = "";
			var productsData = [];
			var productsData2 = [];
			
			
			$.each(retorno[0], function( p, item ){
				var pData = { 
						id: item.id,
						pedido: item.pedido,
						status:  "PENDENTE",
						data: item.data,
						loja: item.LOJ,
						qtd: item.QTD,
					};
				productsData.push(pData);
			});	
			
			$.each(retorno[1], function( p, item ){
				var pData2 = { 
						id: item.id,
						pedido_cod: item.pedido_cod,
						prod_codigo: item.prod_codigo,
						prod_desc: item.prod_desc,
						sugestao: item.sugestao,
						separado: item.separado,
					};
				productsData2.push(pData2);
			});
			
			saveListStorage(productsData,productsData2);
			let horario = "ÚLTIMA RECARGAR "+datacorrig();
			localStorage.setItem("recarga", horario);	
			
			window.location.reload();
		}
	});	
}

// SHOW TRANSFER AQUI VAMOS TRABSFERIR OS DADOS PARA A BASE \/\/\/\/\/

function showTransfer(){
	var POST_paramentro = "ENV";
	var id_user = window.localStorage.getItem('id');
	
	// AQUI OS PEDIDOS CONCLUIDOS
		let testList = localStorage.getItem("list");
	            list = JSON.parse(testList);
	// AQUI OS PEDIDOS CONCLUIDOS
	// AQUI OS ITENS DA ANALISE
		let testList1 = localStorage.getItem("list1");
			    list1 = JSON.parse(testList1);	
	// AQUI OS ITENS DA ANALISE
				
	    var pen = "",con = "";
	    var peds = [],itens = [],ids = [];

			for(var key in list){
				if(list[key].status == "CONCLUIDO"){
					var rowL = {
							id: list[key].id,
							pedido: list[key].pedido,
							status:  list[key].status,
						};
					peds.push(rowL);
					ids.push(list[key].id);
				}		
			}
			
			for(var key in list1){
				if(ids.includes(list1[key].pedido_cod)){
					var rowL = {
							id: list1[key].id,
							pedido_cod: list1[key].pedido_cod,
							separado: list1[key].separado,
						};
					itens.push(rowL);
				}
			}
			
	var ip = localStorage.getItem("ip-serv")+":"+localStorage.getItem("port-serv");
	var url = 'https://conect.agenciadp.com.br/response_api.php';

	$.ajax({ 
		url: url,
		cache: false,
		data: {id_user: id_user,cod: POST_paramentro, pedido: peds, analise: itens},                         
		type: "POST",
		dataType: "json",  // jQuery will infer this, but you can set explicitly
		error: function(jqXHR, textStatus, errorThrown) {
			console.log('jqXHR: \n'+jqXHR);
			console.log('textStatus: \n'+textStatus);
			console.log('errorThrown: \n'+errorThrown);
		},
		success: function(retorno){
			
			showAlert();
			window.location.reload();
			
		}
	});
	
}

// SHOW TRANSFER AQUI VAMOS TRABSFERIR OS DADOS PARA A BASE /\/\/\/\

function datacorrig(){
	dayName = new Array ("00","01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12","13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24","25", "26", "27", "28","29", "30", "31"); 
	monName = new Array ("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12");
	var d = new Date();
	var tp =  dayName[d.getDate()]+"/"+monName[d.getMonth()]+"/"+d.getFullYear();
	
	// hora
	
	var date = new Date();
		var hora = date.getHours() + 1;          // 0-23
		var min = date.getMinutes() + 1;        // 0-59
		var seg = date.getSeconds() + 1;        // 0-59  
		hora = (hora <= 9 ? '0' + hora : hora);
		min = (min <= 9 ? '0' + min : min);
		seg = (seg <= 9 ? '0' + seg : seg);

		var h = hora + ':' + min;
	
	let result = tp+" "+h
	return result;
}

// CONFIRMAÇÃO DA ATUALIZAÇÃO

    function onConfirm1(resposta) {
		if(resposta == 1){
			pedidos();
		}
    }

    // Show a custom confirmation dialog
    //
    function showConfirm1() {
        var resposta = confirm('Deseja realmente atualizar a base ? os dados não transferidos atuais serão perdidos');
		if(resposta == 1){
			pedidos();
		}
		
    }